Push packages to this endpoint using NuGet.exe or compatible tools
PUT /api
Also reachable at /api.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — PackageFromBuiltInFeedResource returned
DescriptionstringFeedIdstringFileExtensionstringHashstringIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NuGetFeedIdstringNuGetPackageIdstringPackageIdstringPackageSizeBytesintegerPackageVersionBuildInformationobjectBranchstringBuildEnvironmentstringBuildNumberstringBuildUrlstringCommitsarray of objectCreatedstring
Formatdate-time.Idstring
Gets or sets a unique identifier for this resource.IncompleteDataWarningstringIssueTrackerNamestringLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.PackageIdstringVcsCommitNumberstringVcsCommitUrlstringVcsRootstringVcsTypestringVersionstringWorkItemsarray of object
Publishedstring
Formatdate-time.ReleaseNotesstringSummarystringTitlestringVersionstring
Example Response
JSON
{
"Description": "string",
"FeedId": "string",
"FileExtension": "string",
"Hash": "string",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NuGetFeedId": "string",
"NuGetPackageId": "string",
"PackageId": "string",
"PackageSizeBytes": 0,
"PackageVersionBuildInformation": {
"Branch": "string",
"BuildEnvironment": "string",
"BuildNumber": "string",
"BuildUrl": "string",
"Commits": [
{
"Comment": "string",
"Id": "string",
"LinkUrl": "string"
}
],
"Created": "2020-01-01T00:00:00.000Z",
"Id": "string",
"IncompleteDataWarning": "string",
"IssueTrackerName": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"PackageId": "string",
"VcsCommitNumber": "string",
"VcsCommitUrl": "string",
"VcsRoot": "string",
"VcsType": "string",
"Version": "string",
"WorkItems": [
{
"Description": "string",
"Id": "string",
"LinkUrl": "string",
"Source": "string"
}
]
},
"Published": "2020-01-01T00:00:00.000Z",
"ReleaseNotes": "string",
"Summary": "string",
"Title": "string",
"Version": "string"
}